// nova-werun/pages/activity/detail-activity/index.js
const Parse = getApp().Parse;
const company = getApp().globalData.company;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        statusBarHeight: 0, // 状态栏高度
        screenHeight: 0, // 屏幕高度
        customHeight: 0, // 自定义导航栏高度（如小程序右上角胶囊按钮）
        bottomNavHeight: 0, // 底部导航栏高度
        contentHeight: 0, // 可用内容高度
        contentHeight2: 0,
        contentpadding: 0, //顶部padding高度

        objectId: "",
        activity:{},
        active:0,
        showpopup:false,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 计算
        const systemInfo = wx.getSystemInfoSync();
        const statusBarHeight = systemInfo.statusBarHeight || 0;
        const screenHeight = systemInfo.screenHeight || 0;
        const custom = wx.getMenuButtonBoundingClientRect();
        const customHeight = custom.height + 10 + 2 || 0;
        const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;

        const contentpadding = (statusBarHeight + customHeight) * 750 / systemInfo.windowWidth;
        const contentHeight = (screenHeight - bottomNavHeight - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
        this.setData({
            statusBarHeight,
            screenHeight,
            customHeight,
            bottomNavHeight,
            contentpadding,
            contentHeight
        });

        this.setData({
            objectId: options.id
        })
        console.log(this.data.objectId);

        this.getactivity()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    //获取活动详细信息
    async getactivity() {
        let Activityquery = new Parse.Query('Activity');
        Activityquery.equalTo('company', company);
        Activityquery.equalTo('objectId', this.data.objectId);
        Activityquery.notEqualTo('isDeleted', true);
        Activityquery.equalTo('isEnabled', true);

        let P = await Activityquery.find();
        let activity = P.map(item => item.toJSON());
        this.setData({
            activity:activity[0]
        })
        console.log(this.data.activity);
    },
    //切换
    async changeTab(e) {
        if (e.detail.name == 1) {
            this.getactivity()
        }
        this.setData({
          active: e.detail.name
        })
        console.log(this.data.active);
      },
      open(){
          this.setData({
            showpopup:true,
          })
      },
      onClose(){
        this.setData({
            showpopup:false,
          })
      }
})